#
# spec file for package bkchem (Version 0.13.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

%define		oasa_version 0.13.1
Name:		bkchem
Summary:	A 2D molecule drawing program
Version:	0.13.0
Release:	2.pm.5.1
License:	GPL
Group:		Productivity/Scientific/Chemistry
Source0:	http://bkchem.zirael.org/download/%{name}-%{version}.tar.bz2
Source1:	http://bkchem.zirael.org/download/oasa-%{oasa_version}.tar.bz2
BuildRoot:	%{_tmppath}/build-root-%{name}
Url:		http://bkchem.zirael.org/
Requires:	python-base python tcl tk python-tk
BuildRequires:	update-desktop-files python-devel fdupes
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
BKchem is a free (as in free software :o) chemical drawing program.
BKchem is written in Python, an interpreted and very nice programming language.
This implies some of the program features:
platform independence - BKchem should run on any platform that Python does.*
performance - as Python is interpreted language you should not expect the performance of a native 
code compiled application (in present days a very cheap tradeoff for platform independence).

However BKchem should be pretty usable on all modern systems.

* BKchem is developed on GNU/Linux. It was however successfully run under WinXP and MacOS X.

Authors:
--------

	Beda Kosata - <beda@zirael.org>

%prep
%setup -q -b 0 
tar xf %{SOURCE1}
cp -aR oasa-%{oasa_version}/* bkchem/oasa/

%build
# nothing to do

%install
python setup.py install --prefix=/usr \
                        --root=$RPM_BUILD_ROOT \
                        --strip=$RPM_BUILD_ROOT

install -D -m 644 images/bkchem.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file -n -c %name "BKchem" BKchem bkchem bkchem Education Science Chemistry

%fdupes $RPM_BUILD_ROOT

%find_lang BKchem

%clean

rm -rf $RPM_BUILD_ROOT

%files -f BKchem.lang
%defattr(-,root,root)
%{_bindir}/bkchem
# macro %{py_sitedir} is deprecated
%if 0%{?suse_version} >= 1120
# so we use new macro %{python_sitelib} for openSUSE >= 11.2
%{python_sitelib}/bkchem*
%else
# and %{py_sitedir} for older versions
%{py_sitedir}/bkchem* 
%endif
%dir %{_datadir}/bkchem
%dir %{_datadir}/doc/bkchem
%{_datadir}/bkchem/*
%if %suse_version <= 1120
%dir %{_datadir}/locale/tw/LC_MESSAGES/
%dir %{_datadir}/locale/tw
%endif
%{_datadir}/doc/bkchem/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jan 10 2010 - AxelKoellhofer@web.de
- added lang- and fdupes-macro
- added python-base to BuildRequires
- spec cleanup
* Sat Aug 08 2009 - AxelKoellhofer@web.de
- updated spec 
  use new macro "%%{python_sitelib}" for openSUSE >=11.2 
  old macro "%%{py_sitedir}" broke build on x86_64
* Thu Apr 02 2009 - AxelKoellhofer@web.de
- included new version 0.13.1 of oasa-library
- repacked all sources as tar.bz2
* Tue Mar 03 2009 - AxelKoellhofer@web.de
- updated to version 0.13.0
* Thu Nov 27 2008 - AxelKoellhofer@web.de
- updated to version 0.12.5
* Sat Oct 25 2008 - AxelKoellhofer@web.de
- updated to version 0.12.4
* Thu Oct 09 2008 - AxelKoellhofer@web.de
- updated to version 0.12.3
* Fri May 30 2008 - AxelKoellhofer@web.de
- updated to version 0.12.2
* Sat May 24 2008 -AxelKoellhofer@web.de
- included new version 0.12.1 of oasa-library
* Tue May 13 2008 - AxelKoellhofer@web.de
- updated to version 0.12.1
* Tue Apr 15 2008 - AxelKoellhofer@web.de
- python-tk added to Requires
* Tue Apr 15 2008 - AxelKoellhofer@web.de
- initial package version 0.12.0

